[<img src="https://github.com/bratan/flutter_translate/raw/master/resources/images/flutter_translate.png" />](https://github.com/bratan/flutter_translate/)

[![Build Status](https://travis-ci.org/bratan/flutter_translate.svg)](https://travis-ci.org/bratan/flutter_translate)
[![pub package](https://img.shields.io/pub/v/flutter_translate.svg?color=important)](https://pub.dev/packages/flutter_translate)
<a href="https://github.com/Solido/awesome-flutter">
   <img alt="Awesome Flutter" src="https://img.shields.io/badge/Awesome-Flutter-blue.svg?longCache=true" />
</a>
[![License: MIT](https://img.shields.io/badge/License-MIT-ff69b4.svg)](https://github.com/bratan/flutter_translate/blob/master/LICENSE)
[![Flutter.io](https://img.shields.io/badge/Flutter-Website-deepskyblue.svg)](https://flutter.io/)

---

Flutter Translate is a fully featured localization / internationalization (i18n) library for Flutter.

It lets you define translations for your content in different languages and switch between them easily.

## Example
<img src="https://raw.githubusercontent.com/bratan/flutter_translate/master/resources/gifs/flutter_translate_screen.gif" width="300"/>

## Features

* Very easy to use
* ```Pluralization``` support
* ```Static keys``` support with [flutter_translate_gen](https://github.com/bratan/flutter_translate/wiki/3.-Generating-statically-typed-localization-keys)
* Supports both ``languageCode (en)`` and ``languageCode_countryCode (en_US)`` locale formats 
* Automatically ```save & restore``` the selected locale [with a simple implementation](https://github.com/bratan/flutter_translate/wiki/2.-Automatically-saving-&-restoring-the-selected-locale)
* Full support for ```right-to-left``` locales
* ``Fallback`` locale support in case the system locale is unsupported
* Supports both ``inline or nested`` JSON

## Documentation

Complete documentation is available [on the wiki page](https://github.com/bratan/flutter_translate/wiki).

To get started please see [Installation, Configuration & Usage](https://github.com/bratan/flutter_translate/wiki/1.-Installation,-Configuration-&-Usage).

## Examples

* [Example using dynamic keys](https://github.com/bratan/flutter_translate/tree/master/example)
* [Example using static keys](https://github.com/bratan/flutter_translate/tree/master/example_static_keys)

## Issues
Please file any issues, bugs or feature request [here](https://github.com/bratan/flutter_translate/issues).

## License

This project is licensed under the [MIT License](https://github.com/bratan/flutter_translate/blob/master/LICENSE)

## Author
This Flutter package is developed by [Florin Bratan](https://github.com/bratan). You can contact me at <florin@leadcode.dev>
